Subject: Re: bug#63072: 28.2; CC Mode: Fix "bsd" style and add "freebsd" and "openbsd" ones

From: Eli Zaretskii <[email-masked]>
Date: Wed, 26 Apr 2023 08:50:44 +0300

> From: Olivier Certner <[email-masked]>
> Cc: [email-masked]
> Date: Tue, 25 Apr 2023 22:57:29 +0200
> 
> After more reading, it seems that this "bsd" is in fact Allman's style, which 
> indeed differs for the style used by BSD projects. So, I'm pondering with 
> using "bsd-knf" instead (for Kernel Normal Form), which appears to be the 
> dedicated term (and is even documented in Wikipedia).

Renaming old styles is also a problem, but new styles can be named as
we see fit, of course.

> What I intend to do with "freebsd" and "openbsd" is to have styles reflecting 
> the current practice for these projects. Which means they can (in fact, most 
> probably will) be changed in the future according to how they amend their 
> style guidelines. If this policy of changes is documented, is that OK?

If documented that these styles change to follow the corresponding
projects, it might be okay, but do we really want to commit ourselves
to follow them from now to eternity?  That's a non-trivial maintenance
burden, unless the projects themselves take that up upon themselves,
and will be submitting changes whenever their conventions change.